public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ada/xmlada/
Date: Sat, 13 Nov 2021 19:05:00 +0000 (UTC)	[thread overview]
Message-ID: <1636830290.4d98467b2b5a8ea64eecc25015cdfa89944081bd.tupone@gentoo> (raw)

commit:     4d98467b2b5a8ea64eecc25015cdfa89944081bd
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 13 19:04:18 2021 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sat Nov 13 19:04:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d98467b

dev-ada/xmlada: 22.0.0 bump

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ada/xmlada/Manifest             |  1 +
 dev-ada/xmlada/metadata.xml         |  3 ++
 dev-ada/xmlada/xmlada-22.0.0.ebuild | 73 +++++++++++++++++++++++++++++++++++++
 3 files changed, 77 insertions(+)

diff --git a/dev-ada/xmlada/Manifest b/dev-ada/xmlada/Manifest
index 5adf93b0b63..d6a1a6af74b 100644
--- a/dev-ada/xmlada/Manifest
+++ b/dev-ada/xmlada/Manifest
@@ -1,2 +1,3 @@
 DIST xmlada-2020-20200429-19A99-src.tar.gz 1533111 BLAKE2B e2c25e103c5c560cf7c9580118580e2952f3ef56c244b0f76c7f484e5629b684d5ee546d2d40520e1a4bf963271d360522423f4e7d81570f7dc1dbc8424c9147 SHA512 e53dd1fba504d2aa91ce29ea381c62adea12c5d8c72cd87396b903143279456cc6547c18035f6e988e95bd93607360075789532378f33cbe23bef9b49c8d984c
 DIST xmlada-2021-20210518-19D50-src.tar.gz 1555951 BLAKE2B 589815d4781471a48d3bb4a12475762cb2ba8f885df8ea774f009c8be9ded41bccc414bb88a2b3d313701b0b2edefcd065fac8a13d208a7bb1679a3467a60c35 SHA512 e2fb1a87cb0cebae842f87412d0ccc8a18b20e5e2c4e3d9ad6ec3a6ae18e4e53c12efd9ea3f2515baa5bfec2b4ddee7808385cc471e3cca9b8c4be3d03093e85
+DIST xmlada-22.0.0.tar.gz 1022947 BLAKE2B cea409a45a3b0c8eba48f858278d4e7129eca2e77fa749f5a761e31a81834efba67223f07c99441a9673a8f6de9a608a12cf610225ca5aee7fbde0235d9af1d9 SHA512 7e8a0cab2f4c300fe3b0d31e00d17334e36798430e49868448caa696044964464f558cffba8f35e35a58b097c968322891119b2abd9f210737ca877f0189f32e

diff --git a/dev-ada/xmlada/metadata.xml b/dev-ada/xmlada/metadata.xml
index 0feea9d45d0..e77e1bbcd64 100644
--- a/dev-ada/xmlada/metadata.xml
+++ b/dev-ada/xmlada/metadata.xml
@@ -20,4 +20,7 @@
 		In addition, it includes a module to manipulate Unicode streams, since
 		this is required by the XML standard.
 	</longdescription>
+	<upstream>
+		<remote-id type="github">adacore/xmlada</remote-id>
+	</upstream>
 </pkgmetadata>

diff --git a/dev-ada/xmlada/xmlada-22.0.0.ebuild b/dev-ada/xmlada/xmlada-22.0.0.ebuild
new file mode 100644
index 00000000000..7427ddc4470
--- /dev/null
+++ b/dev-ada/xmlada/xmlada-22.0.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ADA_COMPAT=( gnat_2019 gnat_202{0..1} )
+inherit ada multiprocessing
+
+DESCRIPTION="Set of modules that provide a simple manipulation of XML streams"
+HOMEPAGE="http://libre.adacore.com/"
+SRC_URI="https://github.com/AdaCore/${PN}/archive/refs/tags/v${PV}.tar.gz
+	-> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+shared static-libs static-pic"
+REQUIRED_USE="|| ( shared static-libs static-pic )
+	${ADA_REQUIRED_USE}"
+
+RDEPEND="${ADA_DEPS}"
+DEPEND="${RDEPEND}
+	dev-ada/gprbuild[${ADA_USEDEP}]"
+
+PATCHES=( "${FILESDIR}"/${PN}-2019-gentoo.patch )
+
+src_compile() {
+	build () {
+		gprbuild -j$(makeopts_jobs) -m -p -v -XLIBRARY_TYPE=$1 \
+			-XBUILD=Production -XPROCESSORS=$(makeopts_jobs) xmlada.gpr \
+			-largs ${LDFLAGS} \
+			-cargs ${ADAFLAGS} || die "gprbuild failed"
+	}
+	if use shared; then
+		build relocatable
+	fi
+	if use static-libs; then
+		build static
+	fi
+	if use static-pic; then
+		build static-pic
+	fi
+}
+
+src_test() {
+	emake test
+	emake run_test | tee xmlada.testLog
+	grep -q DIFF xmlada.testLog && die
+}
+
+src_install() {
+	build () {
+		gprinstall -XLIBRARY_TYPE=$1 -f -p -XBUILD=Production \
+			-XPROCESSORS=$(makeopts_jobs) --prefix="${D}"/usr \
+			--install-name=xmlada --build-var=LIBRARY_TYPE \
+			--build-var=XMLADA_BUILD \
+			--build-name=$1 xmlada.gpr || die "gprinstall failed"
+	}
+	if use shared; then
+		build relocatable
+	fi
+	if use static-libs; then
+		build static
+	fi
+	if use static-pic; then
+		build static-pic
+	fi
+
+	einstalldocs
+	dodoc xmlada-roadmap.txt
+	rm -rf "${D}"/usr/share/gpr/manifests
+	mv "${D}"/usr/share/examples/xmlada "${D}"/usr/share/doc/"${PF}"/examples || die
+}


             reply	other threads:[~2021-11-13 19:05 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-11-13 19:05 Alfredo Tupone [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-24 20:33 [gentoo-commits] repo/gentoo:master commit in: dev-ada/xmlada/ Alfredo Tupone
2025-01-07 20:51 Alfredo Tupone
2025-01-07 20:47 Alfredo Tupone
2025-01-05  8:30 Alfredo Tupone
2024-12-31 12:15 Alfredo Tupone
2024-12-28 19:53 Alfredo Tupone
2024-12-28 19:46 Alfredo Tupone
2024-12-14 11:49 Sam James
2024-11-23  8:06 Arthur Zamarin
2024-09-30  8:19 Alfredo Tupone
2024-03-03  9:20 Alfredo Tupone
2024-03-02 12:06 Alfredo Tupone
2024-03-01 22:46 Alfredo Tupone
2023-12-31 18:55 Alfredo Tupone
2023-11-06  7:12 Alfredo Tupone
2023-03-21 21:02 Alfredo Tupone
2023-03-21  6:58 Alfredo Tupone
2023-02-02  9:21 Alfredo Tupone
2023-01-14 21:32 Alfredo Tupone
2022-11-26 19:37 Alfredo Tupone
2022-09-17 17:10 Alfredo Tupone
2022-09-16 19:27 Alfredo Tupone
2021-12-19 22:09 Agostino Sarubbo
2021-11-25  7:32 Alfredo Tupone
2021-11-17  7:28 Alfredo Tupone
2021-11-10  1:00 Sam James
2021-09-19 13:08 Alfredo Tupone
2021-06-25  6:37 Alfredo Tupone
2021-06-05 13:28 Alfredo Tupone
2021-06-02 11:41 Alfredo Tupone
2021-05-31  9:12 Alfredo Tupone
2021-05-19 20:16 Alfredo Tupone
2021-05-13 20:12 Alfredo Tupone
2020-08-01 20:35 Alfredo Tupone
2020-06-17 17:29 Alfredo Tupone
2020-06-10 20:51 Alfredo Tupone
2019-12-04 21:26 Alfredo Tupone
2019-10-18 12:37 Alfredo Tupone
2019-09-12 19:19 Alfredo Tupone
2019-08-27  8:39 Alfredo Tupone
2019-06-17  7:58 Alfredo Tupone
2019-06-14  6:41 Alfredo Tupone
2019-06-07 21:26 Alfredo Tupone
2019-06-04 18:17 Alfredo Tupone
2018-07-01 18:47 Alfredo Tupone
2018-06-30 13:49 Alfredo Tupone
2018-06-28 20:26 Alfredo Tupone
2018-06-28 19:08 Alfredo Tupone
2018-06-28  6:15 Alfredo Tupone
2018-06-25  7:39 Alfredo Tupone
2018-04-21 12:42 Alfredo Tupone
2018-02-26 18:44 Alfredo Tupone
2018-02-10 17:31 Alfredo Tupone
2017-12-29 20:36 Alfredo Tupone
2017-11-27 18:38 Alfredo Tupone
2017-07-01 16:36 Alfredo Tupone
2017-06-27  7:34 Alfredo Tupone
2017-06-26 20:06 Alfredo Tupone
2017-06-19 19:30 Alfredo Tupone
2017-06-18 18:41 Alfredo Tupone
2017-04-02 18:38 Alfredo Tupone
2017-04-01 12:28 Alfredo Tupone

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1636830290.4d98467b2b5a8ea64eecc25015cdfa89944081bd.tupone@gentoo \
    --to=tupone@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox